Subject: bug#35625: Python3 Cannot Find Existing Shared Library within guix environment

From: Jesse Gibbons <[email-masked]>
Date: Wed, 8 May 2019 09:31:50 -0600

On Wed, 8 May 2019 14:38:02 +0200
Gábor Boskovits <[email-masked]> wrote:

> Hello Jesse,
> 
> Jesse Gibbons <[email-masked]> ezt írta (időpont: 2019. máj.
> 8., Sze, 0:33):
> 
> > I brought this to the help mailing list, and now I see it as a
> > particular bug in guix. When I change into a guix environment and
> > try to run a Python project that uses the WebKitGTK2 library, it
> > cannot find the specified shared library, even though it is in
> > $LIBRARY_PATH. As a result, the project crashes. This does not
> > happen when I call guix build. On a side note, guix build fails due
> > to another error (possibly related).
> >
> > Thanks in advance for looking into this.
> > -Jesse
> >
> >
> > So it seems that the guix environment  misses some environment
> > variables.  
> Can you check if this is still the case, when you keep the build
> output using guix build --keep-failed --check, and then guix
> environment <package>, and source the environment variables dropped
> at the kept build directory?

I followed those steps. It doesn't seem to make a difference. I think I
am running code not called when guix builds, but I think it is leaking
into a problem that causes 'guix build' to fail.
The help list suggests there might be something hard-coded. I will
check for that.

> 
> If that helps, then can you send the two environments?
I'm not certain how to get the variables initially set under 'guix
environment' but here's the environment variables dropped by guix build:

export CPLUS_INCLUDE_PATH="/gnu/store/b7fqhszxl02g6pfm3vw6b3cjz472qrly-python-3.7.0/include:/gnu/store/36gjs99v2z70123fw375i768gjklspf9-python-pygobject-3.28.3/include:/gnu/store/i8x3yn47chgnmzwdbnj5s3knla405qvi-gtk+-3.24.7/include:/gnu/store/9rpr30qpjav31nn181bdyazdmq4vq67z-gtksourceview-3.24.10/include:/gnu/store/lmmbga46bnx7iwcs8y9rbnnaylxrx9c6-webkitgtk-2.24.1/include:/gnu/store/j74aabxwayjl9yfyrm6ni482gykxq48b-bzip2-1.0.6/include:/gnu/store/9425b5dwpfc04bb4p58hsjypxghliyr3-xz-5.2.4/include:/gnu/store/ypiyk8ngn79cz655jrl0hng37xv54yjr-file-5.33/include:/gnu/store/l67sib1ld0fgyf0f4vrzyxnmn4yvimvb-gawk-4.2.1/include:/gnu/store/7j3941iannrngdvgbclyxid12vds5w9i-make-4.2.1/include:/gnu/store/02iklp4swqs0ipxhg5x9b2shmj6b30h1-binutils-2.31.1/include:/gnu/store/n2p1zs14y89lwkg9da68y12pc10c6sw9-gcc-5.5.0/include:/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/include:/gnu/store/vd35w7c44njixcagxqyqpd81frc3ngpz-libffi-3.2.1/include:/gnu/store/cgy82g6yv8l1chawgch47zh23b0jll3l-glib-2.56.3/include:/gnu/store/6zy28hygcagsrngvihk7dnq3qqj2ljhi-wayland-1.17.0/include:/gnu/store/a27pvkbi2wc7772zjar1adncxd7lr759-pango-1.42.4/include:/gnu/store/rxqxn0mxmg0v2xg5nvpaidvpj3d1kxb7-mesa-18.3.5/include:/gnu/store/6hq2ha8hfghnkrnrpawx2vlsp88zq537-libxdamage-1.1.4/include:/gnu/store/b9w8flar3z94xjnbajsqbw97ggpmx4qa-libxkbcommon-0.8.4/include:/gnu/store/mcd9pz6miv4wsrwlzam18akn3nix0ysa-libxinerama-1.1.4/include:/gnu/store/1wgjfp47da8zm7ap9n0sl6wfn295qvcw-libxi-1.7.9/include:/gnu/store/qgzhkhmm4cis6wmx8n469jlshgr28fsh-libxcursor-1.2.0/include:/gnu/store/dxir0rz1q9cmnjkbjdjq41gi0c7j1sbn-libepoxy-1.5.3/include:/gnu/store/6m8mfngzi0hmjgi3hfnszyhis8i0vg4c-gdk-pixbuf+svg-2.38.1/include:/gnu/store/5yaa39a8rvq8xdv8h37n29sxfmnlcv12-atk-2.32.0/include:/gnu/store/24afn7chbs6r1a6mn7w4yfv3czq76jya-at-spi2-atk-2.32.0/include:/gnu/store/l2f5m536i38z1403fyxjnrbrfk6d9xqb-libxml2-2.9.8/include:/gnu/store/d81m3wm7w9cxdgb9r3ppr77hfmb88jrf-libsoup-2.66.1/include:/gnu/store/xha1mk4qji8fmg62nygfzdx0l94ikdhm-linux-libre-headers-4.14.67/include:/gnu/store/05zlxc7ckwflz56i6hmlngr86pmccam2-pcre-8.42/include:/gnu/store/k641x9mjzjl6flyj9q8qpv7nalhmi1gl-harfbuzz-2.2.0/include:/gnu/store/5dnkbi6zchkisgwx2914k0iafllcvv93-freetype-2.9.1/include:/gnu/store/66jfnfgca7yi6xmpw6ax86cldvr016ia-fontconfig-2.13.1/include:/gnu/store/wrk6d4pf66rp81v989ybmh1jp6jhh8lf-fribidi-1.0.5/include:/gnu/store/w946jk6bl2riqpfcklf4bbs7haqmg8fv-cairo-1.16.0/include:/gnu/store/hdwn6fbbii6907ibvyax92cxzam0hrhx-xorgproto-2018.4/include:/gnu/store/v1vnqq6nzf1n842956l30yjxzjy0130h-libxxf86vm-1.1.4/include:/gnu/store/hcxcbbsf0p1fzjajd2idc3j5qvlyyp5w-libxshmfence-1.3/include:/gnu/store/dis1laih296cvfjrcj3azcjfxkip4hdb-libxfixes-5.0.3/include:/gnu/store/8baabfjazsr7s4y0jig1sn84xnxf75xa-libx11-1.6.6/include:/gnu/store/inw59iqwpal8pz3vxlfqdn1pjahd3rdx-libvdpau-1.2/include:/gnu/store/smpgxk3vmydbmnhnd5ljnj1ll96463r8-libdrm-2.4.97/include:/gnu/store/2dk55i5wdhcbh2z8hhn3r55x4873iyp1-libxext-1.3.3/include:/gnu/store/xrvwszmahcb7k2zcyag3vmqwswzrbvcg-libxrender-0.9.10/include:/gnu/store/55m57xamf980iymccl9k26k4an0ynf7d-libpng-1.6.34/include:/gnu/store/ri7mjihsihcl7wkarhklg0l4kfr26m43-at-spi2-core-2.32.0/include:/gnu/store/nq4lsyipmfb0q7g26ra45rwwqrh3x8zw-zlib-1.2.11/include:/gnu/store/pba3xzrkq2k4wgh3arif4xpkblr5qz2n-sqlite-3.24.0/include:/gnu/store/vbybdsgmyr5qcnfawax8y4w129b17a91-libpsl-0.20.2/include:/gnu/store/rl6aqycjg41b6bygf0gv35gqjc3ygn27-icu4c-63.1/include:/gnu/store/vl5zdhkx5ic3lklinzxzl7n4rrr8ff49-graphite2-1.3.12/include:/gnu/store/8k4pnixpz73kxvxbjqajgbprjjmmgpxy-util-linux-2.32.1/include:/gnu/store/79a7p4fjh564czghfzfm1yn8b3r42rbi-expat-2.2.6/include:/gnu/store/nswbpcyjbmhbkd676zf7ijqvsyswhxil-pixman-0.36.0/include:/gnu/store/hnj08aavzpsi72wvi4qqrp5dqbyqxqqs-libxcb-1.13/include:/gnu/store/nn0mlxc7kw01l5dmrjypam25qbr2rw8q-libxtst-1.2.3/include:/gnu/store/s62xzisv3mnl510m5wbf91jzzd392l6f-dbus-1.12.12/include:/gnu/store/3vlscch2sxybd34qx2ianpg92crm9akm-libxdmcp-1.1.2/include:/gnu/store/mawqhgh0bdxpa4gjxs1fjyhwvv6i8w5g-libxau-1.0.8/include"
export C_INCLUDE_PATH="/gnu/store/b7fqhszxl02g6pfm3vw6b3cjz472qrly-python-3.7.0/include:/gnu/store/36gjs99v2z70123fw375i768gjklspf9-python-pygobject-3.28.3/include:/gnu/store/i8x3yn47chgnmzwdbnj5s3knla405qvi-gtk+-3.24.7/include:/gnu/store/9rpr30qpjav31nn181bdyazdmq4vq67z-gtksourceview-3.24.10/include:/gnu/store/lmmbga46bnx7iwcs8y9rbnnaylxrx9c6-webkitgtk-2.24.1/include:/gnu/store/j74aabxwayjl9yfyrm6ni482gykxq48b-bzip2-1.0.6/include:/gnu/store/9425b5dwpfc04bb4p58hsjypxghliyr3-xz-5.2.4/include:/gnu/store/ypiyk8ngn79cz655jrl0hng37xv54yjr-file-5.33/include:/gnu/store/l67sib1ld0fgyf0f4vrzyxnmn4yvimvb-gawk-4.2.1/include:/gnu/store/7j3941iannrngdvgbclyxid12vds5w9i-make-4.2.1/include:/gnu/store/02iklp4swqs0ipxhg5x9b2shmj6b30h1-binutils-2.31.1/include:/gnu/store/n2p1zs14y89lwkg9da68y12pc10c6sw9-gcc-5.5.0/include:/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/include:/gnu/store/vd35w7c44njixcagxqyqpd81frc3ngpz-libffi-3.2.1/include:/gnu/store/cgy82g6yv8l1chawgch47zh23b0jll3l-glib-2.56.3/include:/gnu/store/6zy28hygcagsrngvihk7dnq3qqj2ljhi-wayland-1.17.0/include:/gnu/store/a27pvkbi2wc7772zjar1adncxd7lr759-pango-1.42.4/include:/gnu/store/rxqxn0mxmg0v2xg5nvpaidvpj3d1kxb7-mesa-18.3.5/include:/gnu/store/6hq2ha8hfghnkrnrpawx2vlsp88zq537-libxdamage-1.1.4/include:/gnu/store/b9w8flar3z94xjnbajsqbw97ggpmx4qa-libxkbcommon-0.8.4/include:/gnu/store/mcd9pz6miv4wsrwlzam18akn3nix0ysa-libxinerama-1.1.4/include:/gnu/store/1wgjfp47da8zm7ap9n0sl6wfn295qvcw-libxi-1.7.9/include:/gnu/store/qgzhkhmm4cis6wmx8n469jlshgr28fsh-libxcursor-1.2.0/include:/gnu/store/dxir0rz1q9cmnjkbjdjq41gi0c7j1sbn-libepoxy-1.5.3/include:/gnu/store/6m8mfngzi0hmjgi3hfnszyhis8i0vg4c-gdk-pixbuf+svg-2.38.1/include:/gnu/store/5yaa39a8rvq8xdv8h37n29sxfmnlcv12-atk-2.32.0/include:/gnu/store/24afn7chbs6r1a6mn7w4yfv3czq76jya-at-spi2-atk-2.32.0/include:/gnu/store/l2f5m536i38z1403fyxjnrbrfk6d9xqb-libxml2-2.9.8/include:/gnu/store/d81m3wm7w9cxdgb9r3ppr77hfmb88jrf-libsoup-2.66.1/include:/gnu/store/xha1mk4qji8fmg62nygfzdx0l94ikdhm-linux-libre-headers-4.14.67/include:/gnu/store/05zlxc7ckwflz56i6hmlngr86pmccam2-pcre-8.42/include:/gnu/store/k641x9mjzjl6flyj9q8qpv7nalhmi1gl-harfbuzz-2.2.0/include:/gnu/store/5dnkbi6zchkisgwx2914k0iafllcvv93-freetype-2.9.1/include:/gnu/store/66jfnfgca7yi6xmpw6ax86cldvr016ia-fontconfig-2.13.1/include:/gnu/store/wrk6d4pf66rp81v989ybmh1jp6jhh8lf-fribidi-1.0.5/include:/gnu/store/w946jk6bl2riqpfcklf4bbs7haqmg8fv-cairo-1.16.0/include:/gnu/store/hdwn6fbbii6907ibvyax92cxzam0hrhx-xorgproto-2018.4/include:/gnu/store/v1vnqq6nzf1n842956l30yjxzjy0130h-libxxf86vm-1.1.4/include:/gnu/store/hcxcbbsf0p1fzjajd2idc3j5qvlyyp5w-libxshmfence-1.3/include:/gnu/store/dis1laih296cvfjrcj3azcjfxkip4hdb-libxfixes-5.0.3/include:/gnu/store/8baabfjazsr7s4y0jig1sn84xnxf75xa-libx11-1.6.6/include:/gnu/store/inw59iqwpal8pz3vxlfqdn1pjahd3rdx-libvdpau-1.2/include:/gnu/store/smpgxk3vmydbmnhnd5ljnj1ll96463r8-libdrm-2.4.97/include:/gnu/store/2dk55i5wdhcbh2z8hhn3r55x4873iyp1-libxext-1.3.3/include:/gnu/store/xrvwszmahcb7k2zcyag3vmqwswzrbvcg-libxrender-0.9.10/include:/gnu/store/55m57xamf980iymccl9k26k4an0ynf7d-libpng-1.6.34/include:/gnu/store/ri7mjihsihcl7wkarhklg0l4kfr26m43-at-spi2-core-2.32.0/include:/gnu/store/nq4lsyipmfb0q7g26ra45rwwqrh3x8zw-zlib-1.2.11/include:/gnu/store/pba3xzrkq2k4wgh3arif4xpkblr5qz2n-sqlite-3.24.0/include:/gnu/store/vbybdsgmyr5qcnfawax8y4w129b17a91-libpsl-0.20.2/include:/gnu/store/rl6aqycjg41b6bygf0gv35gqjc3ygn27-icu4c-63.1/include:/gnu/store/vl5zdhkx5ic3lklinzxzl7n4rrr8ff49-graphite2-1.3.12/include:/gnu/store/8k4pnixpz73kxvxbjqajgbprjjmmgpxy-util-linux-2.32.1/include:/gnu/store/79a7p4fjh564czghfzfm1yn8b3r42rbi-expat-2.2.6/include:/gnu/store/nswbpcyjbmhbkd676zf7ijqvsyswhxil-pixman-0.36.0/include:/gnu/store/hnj08aavzpsi72wvi4qqrp5dqbyqxqqs-libxcb-1.13/include:/gnu/store/nn0mlxc7kw01l5dmrjypam25qbr2rw8q-libxtst-1.2.3/include:/gnu/store/s62xzisv3mnl510m5wbf91jzzd392l6f-dbus-1.12.12/include:/gnu/store/3vlscch2sxybd34qx2ianpg92crm9akm-libxdmcp-1.1.2/include:/gnu/store/mawqhgh0bdxpa4gjxs1fjyhwvv6i8w5g-libxau-1.0.8/include"
export GIO_EXTRA_MODULES="/gnu/store/cgy82g6yv8l1chawgch47zh23b0jll3l-glib-2.56.3/lib/gio/modules"
export GI_TYPELIB_PATH="/gnu/store/i8x3yn47chgnmzwdbnj5s3knla405qvi-gtk+-3.24.7/lib/girepository-1.0:/gnu/store/9rpr30qpjav31nn181bdyazdmq4vq67z-gtksourceview-3.24.10/lib/girepository-1.0:/gnu/store/lmmbga46bnx7iwcs8y9rbnnaylxrx9c6-webkitgtk-2.24.1/lib/girepository-1.0:/gnu/store/a27pvkbi2wc7772zjar1adncxd7lr759-pango-1.42.4/lib/girepository-1.0:/gnu/store/6m8mfngzi0hmjgi3hfnszyhis8i0vg4c-gdk-pixbuf+svg-2.38.1/lib/girepository-1.0:/gnu/store/5yaa39a8rvq8xdv8h37n29sxfmnlcv12-atk-2.32.0/lib/girepository-1.0:/gnu/store/d81m3wm7w9cxdgb9r3ppr77hfmb88jrf-libsoup-2.66.1/lib/girepository-1.0:/gnu/store/k641x9mjzjl6flyj9q8qpv7nalhmi1gl-harfbuzz-2.2.0/lib/girepository-1.0:/gnu/store/ri7mjihsihcl7wkarhklg0l4kfr26m43-at-spi2-core-2.32.0/lib/girepository-1.0"
export GUIX_GTK3_PATH="/gnu/store/i8x3yn47chgnmzwdbnj5s3knla405qvi-gtk+-3.24.7/lib/gtk-3.0"
export GUIX_LD_WRAPPER_ALLOW_IMPURITIES="no"
export GUIX_LOCPATH="/gnu/store/mn3ymm3f2r4xjqf8m9fgmadh6b8p6fvr-glibc-utf8-locales-2.28/lib/locale"
export HOME="/homeless-shelter"
export LC_ALL="en_US.utf8"
export LIBRARY_PATH="/gnu/store/b7fqhszxl02g6pfm3vw6b3cjz472qrly-python-3.7.0/lib:/gnu/store/36gjs99v2z70123fw375i768gjklspf9-python-pygobject-3.28.3/lib:/gnu/store/i8x3yn47chgnmzwdbnj5s3knla405qvi-gtk+-3.24.7/lib:/gnu/store/9rpr30qpjav31nn181bdyazdmq4vq67z-gtksourceview-3.24.10/lib:/gnu/store/lmmbga46bnx7iwcs8y9rbnnaylxrx9c6-webkitgtk-2.24.1/lib:/gnu/store/cs12wl7ni03lz55zicgh30rnqwhy74yv-python-pyyaml-3.13/lib:/gnu/store/j74aabxwayjl9yfyrm6ni482gykxq48b-bzip2-1.0.6/lib:/gnu/store/9425b5dwpfc04bb4p58hsjypxghliyr3-xz-5.2.4/lib:/gnu/store/ypiyk8ngn79cz655jrl0hng37xv54yjr-file-5.33/lib:/gnu/store/l67sib1ld0fgyf0f4vrzyxnmn4yvimvb-gawk-4.2.1/lib:/gnu/store/02iklp4swqs0ipxhg5x9b2shmj6b30h1-binutils-2.31.1/lib:/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib:/gnu/store/a3p8zc23w5asxck5h4mswz4s8yl9s6pa-glibc-2.28-static/lib:/gnu/store/mn3ymm3f2r4xjqf8m9fgmadh6b8p6fvr-glibc-utf8-locales-2.28/lib:/gnu/store/vd35w7c44njixcagxqyqpd81frc3ngpz-libffi-3.2.1/lib:/gnu/store/cgy82g6yv8l1chawgch47zh23b0jll3l-glib-2.56.3/lib:/gnu/store/6zy28hygcagsrngvihk7dnq3qqj2ljhi-wayland-1.17.0/lib:/gnu/store/a27pvkbi2wc7772zjar1adncxd7lr759-pango-1.42.4/lib:/gnu/store/rxqxn0mxmg0v2xg5nvpaidvpj3d1kxb7-mesa-18.3.5/lib:/gnu/store/6hq2ha8hfghnkrnrpawx2vlsp88zq537-libxdamage-1.1.4/lib:/gnu/store/b9w8flar3z94xjnbajsqbw97ggpmx4qa-libxkbcommon-0.8.4/lib:/gnu/store/mcd9pz6miv4wsrwlzam18akn3nix0ysa-libxinerama-1.1.4/lib:/gnu/store/1wgjfp47da8zm7ap9n0sl6wfn295qvcw-libxi-1.7.9/lib:/gnu/store/qgzhkhmm4cis6wmx8n469jlshgr28fsh-libxcursor-1.2.0/lib:/gnu/store/dxir0rz1q9cmnjkbjdjq41gi0c7j1sbn-libepoxy-1.5.3/lib:/gnu/store/6m8mfngzi0hmjgi3hfnszyhis8i0vg4c-gdk-pixbuf+svg-2.38.1/lib:/gnu/store/5yaa39a8rvq8xdv8h37n29sxfmnlcv12-atk-2.32.0/lib:/gnu/store/24afn7chbs6r1a6mn7w4yfv3czq76jya-at-spi2-atk-2.32.0/lib:/gnu/store/l2f5m536i38z1403fyxjnrbrfk6d9xqb-libxml2-2.9.8/lib:/gnu/store/d81m3wm7w9cxdgb9r3ppr77hfmb88jrf-libsoup-2.66.1/lib:/gnu/store/05zlxc7ckwflz56i6hmlngr86pmccam2-pcre-8.42/lib:/gnu/store/k641x9mjzjl6flyj9q8qpv7nalhmi1gl-harfbuzz-2.2.0/lib:/gnu/store/5dnkbi6zchkisgwx2914k0iafllcvv93-freetype-2.9.1/lib:/gnu/store/66jfnfgca7yi6xmpw6ax86cldvr016ia-fontconfig-2.13.1/lib:/gnu/store/wrk6d4pf66rp81v989ybmh1jp6jhh8lf-fribidi-1.0.5/lib:/gnu/store/w946jk6bl2riqpfcklf4bbs7haqmg8fv-cairo-1.16.0/lib:/gnu/store/v1vnqq6nzf1n842956l30yjxzjy0130h-libxxf86vm-1.1.4/lib:/gnu/store/hcxcbbsf0p1fzjajd2idc3j5qvlyyp5w-libxshmfence-1.3/lib:/gnu/store/dis1laih296cvfjrcj3azcjfxkip4hdb-libxfixes-5.0.3/lib:/gnu/store/8baabfjazsr7s4y0jig1sn84xnxf75xa-libx11-1.6.6/lib:/gnu/store/inw59iqwpal8pz3vxlfqdn1pjahd3rdx-libvdpau-1.2/lib:/gnu/store/smpgxk3vmydbmnhnd5ljnj1ll96463r8-libdrm-2.4.97/lib:/gnu/store/2dk55i5wdhcbh2z8hhn3r55x4873iyp1-libxext-1.3.3/lib:/gnu/store/xrvwszmahcb7k2zcyag3vmqwswzrbvcg-libxrender-0.9.10/lib:/gnu/store/55m57xamf980iymccl9k26k4an0ynf7d-libpng-1.6.34/lib:/gnu/store/ri7mjihsihcl7wkarhklg0l4kfr26m43-at-spi2-core-2.32.0/lib:/gnu/store/nq4lsyipmfb0q7g26ra45rwwqrh3x8zw-zlib-1.2.11/lib:/gnu/store/pba3xzrkq2k4wgh3arif4xpkblr5qz2n-sqlite-3.24.0/lib:/gnu/store/vbybdsgmyr5qcnfawax8y4w129b17a91-libpsl-0.20.2/lib:/gnu/store/rl6aqycjg41b6bygf0gv35gqjc3ygn27-icu4c-63.1/lib:/gnu/store/vl5zdhkx5ic3lklinzxzl7n4rrr8ff49-graphite2-1.3.12/lib:/gnu/store/8k4pnixpz73kxvxbjqajgbprjjmmgpxy-util-linux-2.32.1/lib:/gnu/store/79a7p4fjh564czghfzfm1yn8b3r42rbi-expat-2.2.6/lib:/gnu/store/nswbpcyjbmhbkd676zf7ijqvsyswhxil-pixman-0.36.0/lib:/gnu/store/30ss9cl431rrw47pbmwnqs99m2w3i5vh-util-macros-1.19.2/lib:/gnu/store/hnj08aavzpsi72wvi4qqrp5dqbyqxqqs-libxcb-1.13/lib:/gnu/store/nn0mlxc7kw01l5dmrjypam25qbr2rw8q-libxtst-1.2.3/lib:/gnu/store/s62xzisv3mnl510m5wbf91jzzd392l6f-dbus-1.12.12/lib:/gnu/store/3vlscch2sxybd34qx2ianpg92crm9akm-libxdmcp-1.1.2/lib:/gnu/store/mawqhgh0bdxpa4gjxs1fjyhwvv6i8w5g-libxau-1.0.8/lib:/gnu/store/sfn7fcmii7gbpjh2f7wzv8l04iy4z2d1-libpthread-stubs-0.4/lib"
export NIX_BUILD_CORES="0"
export NIX_BUILD_TOP="/tmp/guix-build-rednotebook-2.11.1.drv-0"
export NIX_STORE="/gnu/store"
export OLDPWD
export PATH="/gnu/store/r68bi4640vm0s7zsgyk7shsag8ibl3nc-python-wrapper-3.7.0/bin:/gnu/store/b7fqhszxl02g6pfm3vw6b3cjz472qrly-python-3.7.0/bin:/gnu/store/lmmbga46bnx7iwcs8y9rbnnaylxrx9c6-webkitgtk-2.24.1/bin:/gnu/store/bl3pxxj6frg0dww8pj5dvh2d1akwvj47-tar-1.30/bin:/gnu/store/h0c398zan9ibhk4w0c944vp5pwgzkfpd-gzip-1.9/bin:/gnu/store/j74aabxwayjl9yfyrm6ni482gykxq48b-bzip2-1.0.6/bin:/gnu/store/9425b5dwpfc04bb4p58hsjypxghliyr3-xz-5.2.4/bin:/gnu/store/ypiyk8ngn79cz655jrl0hng37xv54yjr-file-5.33/bin:/gnu/store/4bzzz0lzjc9b7bfsnqbq2j22d4fvf433-diffutils-3.6/bin:/gnu/store/a4rxl40jr7gmq8bp3dryq4yq67cwkwiw-patch-2.7.6/bin:/gnu/store/fd621k6fmdnr1yiw0lbvw5spqaa169j3-findutils-4.6.0/bin:/gnu/store/l67sib1ld0fgyf0f4vrzyxnmn4yvimvb-gawk-4.2.1/bin:/gnu/store/lmfddplnplxd03bcqv3w9pynbnr1fp8k-sed-4.5/bin:/gnu/store/02k245xy33cvcnr8vm3lagm9zmb1s2wa-grep-3.1/bin:/gnu/store/5s2nib1lrd2101bbrivcl17kjx1mspw6-coreutils-8.30/bin:/gnu/store/7j3941iannrngdvgbclyxid12vds5w9i-make-4.2.1/bin:/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin:/gnu/store/9ysmg2739n1ms84lx6hifncgc5l2hiy9-ld-wrapper-0/bin:/gnu/store/02iklp4swqs0ipxhg5x9b2shmj6b30h1-binutils-2.31.1/bin:/gnu/store/n2p1zs14y89lwkg9da68y12pc10c6sw9-gcc-5.5.0/bin:/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/bin:/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/sbin:/gnu/store/6zy28hygcagsrngvihk7dnq3qqj2ljhi-wayland-1.17.0/bin:/gnu/store/a27pvkbi2wc7772zjar1adncxd7lr759-pango-1.42.4/bin:/gnu/store/6m8mfngzi0hmjgi3hfnszyhis8i0vg4c-gdk-pixbuf+svg-2.38.1/bin:/gnu/store/l2f5m536i38z1403fyxjnrbrfk6d9xqb-libxml2-2.9.8/bin:/gnu/store/5dnkbi6zchkisgwx2914k0iafllcvv93-freetype-2.9.1/bin:/gnu/store/66jfnfgca7yi6xmpw6ax86cldvr016ia-fontconfig-2.13.1/bin:/gnu/store/wrk6d4pf66rp81v989ybmh1jp6jhh8lf-fribidi-1.0.5/bin:/gnu/store/w946jk6bl2riqpfcklf4bbs7haqmg8fv-cairo-1.16.0/bin:/gnu/store/daxn8m96wk2d2jnz4mxllhk34iv5gjqp-shared-mime-info-1.9/bin:/gnu/store/55m57xamf980iymccl9k26k4an0ynf7d-libpng-1.6.34/bin:/gnu/store/pba3xzrkq2k4wgh3arif4xpkblr5qz2n-sqlite-3.24.0/bin:/gnu/store/vbybdsgmyr5qcnfawax8y4w129b17a91-libpsl-0.20.2/bin:/gnu/store/rl6aqycjg41b6bygf0gv35gqjc3ygn27-icu4c-63.1/bin:/gnu/store/rl6aqycjg41b6bygf0gv35gqjc3ygn27-icu4c-63.1/sbin:/gnu/store/vl5zdhkx5ic3lklinzxzl7n4rrr8ff49-graphite2-1.3.12/bin:/gnu/store/8k4pnixpz73kxvxbjqajgbprjjmmgpxy-util-linux-2.32.1/bin:/gnu/store/8k4pnixpz73kxvxbjqajgbprjjmmgpxy-util-linux-2.32.1/sbin:/gnu/store/79a7p4fjh564czghfzfm1yn8b3r42rbi-expat-2.2.6/bin:/gnu/store/s62xzisv3mnl510m5wbf91jzzd392l6f-dbus-1.12.12/bin"
export PWD="/tmp/guix-build-rednotebook-2.11.1.drv-0/rednotebook-2.11.1"
export PYTHONHASHSEED="0"
export PYTHONPATH="/gnu/store/b7fqhszxl02g6pfm3vw6b3cjz472qrly-python-3.7.0/lib/python3.7/site-packages:/gnu/store/36gjs99v2z70123fw375i768gjklspf9-python-pygobject-3.28.3/lib/python3.7/site-packages:/gnu/store/cs12wl7ni03lz55zicgh30rnqwhy74yv-python-pyyaml-3.13/lib/python3.7/site-packages"
export SHLVL="1"
export SOURCE_DATE_EPOCH="1"
export TEMP="/tmp/guix-build-rednotebook-2.11.1.drv-0"
export TEMPDIR="/tmp/guix-build-rednotebook-2.11.1.drv-0"
export TMP="/tmp/guix-build-rednotebook-2.11.1.drv-0"
export TMPDIR="/tmp/guix-build-rednotebook-2.11.1.drv-0"
export XDG_DATA_DIRS="/gnu/store/b7fqhszxl02g6pfm3vw6b3cjz472qrly-python-3.7.0/share:/gnu/store/36gjs99v2z70123fw375i768gjklspf9-python-pygobject-3.28.3/share:/gnu/store/i8x3yn47chgnmzwdbnj5s3knla405qvi-gtk+-3.24.7/share:/gnu/store/9rpr30qpjav31nn181bdyazdmq4vq67z-gtksourceview-3.24.10/share:/gnu/store/lmmbga46bnx7iwcs8y9rbnnaylxrx9c6-webkitgtk-2.24.1/share:/gnu/store/cs12wl7ni03lz55zicgh30rnqwhy74yv-python-pyyaml-3.13/share:/gnu/store/bl3pxxj6frg0dww8pj5dvh2d1akwvj47-tar-1.30/share:/gnu/store/h0c398zan9ibhk4w0c944vp5pwgzkfpd-gzip-1.9/share:/gnu/store/j74aabxwayjl9yfyrm6ni482gykxq48b-bzip2-1.0.6/share:/gnu/store/9425b5dwpfc04bb4p58hsjypxghliyr3-xz-5.2.4/share:/gnu/store/ypiyk8ngn79cz655jrl0hng37xv54yjr-file-5.33/share:/gnu/store/4bzzz0lzjc9b7bfsnqbq2j22d4fvf433-diffutils-3.6/share:/gnu/store/a4rxl40jr7gmq8bp3dryq4yq67cwkwiw-patch-2.7.6/share:/gnu/store/fd621k6fmdnr1yiw0lbvw5spqaa169j3-findutils-4.6.0/share:/gnu/store/l67sib1ld0fgyf0f4vrzyxnmn4yvimvb-gawk-4.2.1/share:/gnu/store/lmfddplnplxd03bcqv3w9pynbnr1fp8k-sed-4.5/share:/gnu/store/02k245xy33cvcnr8vm3lagm9zmb1s2wa-grep-3.1/share:/gnu/store/5s2nib1lrd2101bbrivcl17kjx1mspw6-coreutils-8.30/share:/gnu/store/7j3941iannrngdvgbclyxid12vds5w9i-make-4.2.1/share:/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/share:/gnu/store/02iklp4swqs0ipxhg5x9b2shmj6b30h1-binutils-2.31.1/share:/gnu/store/n2p1zs14y89lwkg9da68y12pc10c6sw9-gcc-5.5.0/share:/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/share:/gnu/store/vd35w7c44njixcagxqyqpd81frc3ngpz-libffi-3.2.1/share:/gnu/store/cgy82g6yv8l1chawgch47zh23b0jll3l-glib-2.56.3/share:/gnu/store/mfibdn0bv6r1cyfjy6pdpa10hgjgvcai-wayland-protocols-1.17/share:/gnu/store/6zy28hygcagsrngvihk7dnq3qqj2ljhi-wayland-1.17.0/share:/gnu/store/a27pvkbi2wc7772zjar1adncxd7lr759-pango-1.42.4/share:/gnu/store/rxqxn0mxmg0v2xg5nvpaidvpj3d1kxb7-mesa-18.3.5/share:/gnu/store/6hq2ha8hfghnkrnrpawx2vlsp88zq537-libxdamage-1.1.4/share:/gnu/store/b9w8flar3z94xjnbajsqbw97ggpmx4qa-libxkbcommon-0.8.4/share:/gnu/store/mcd9pz6miv4wsrwlzam18akn3nix0ysa-libxinerama-1.1.4/share:/gnu/store/1wgjfp47da8zm7ap9n0sl6wfn295qvcw-libxi-1.7.9/share:/gnu/store/qgzhkhmm4cis6wmx8n469jlshgr28fsh-libxcursor-1.2.0/share:/gnu/store/6m8mfngzi0hmjgi3hfnszyhis8i0vg4c-gdk-pixbuf+svg-2.38.1/share:/gnu/store/5yaa39a8rvq8xdv8h37n29sxfmnlcv12-atk-2.32.0/share:/gnu/store/l2f5m536i38z1403fyxjnrbrfk6d9xqb-libxml2-2.9.8/share:/gnu/store/d81m3wm7w9cxdgb9r3ppr77hfmb88jrf-libsoup-2.66.1/share:/gnu/store/xha1mk4qji8fmg62nygfzdx0l94ikdhm-linux-libre-headers-4.14.67/share:/gnu/store/05zlxc7ckwflz56i6hmlngr86pmccam2-pcre-8.42/share:/gnu/store/k641x9mjzjl6flyj9q8qpv7nalhmi1gl-harfbuzz-2.2.0/share:/gnu/store/5dnkbi6zchkisgwx2914k0iafllcvv93-freetype-2.9.1/share:/gnu/store/66jfnfgca7yi6xmpw6ax86cldvr016ia-fontconfig-2.13.1/share:/gnu/store/wrk6d4pf66rp81v989ybmh1jp6jhh8lf-fribidi-1.0.5/share:/gnu/store/w946jk6bl2riqpfcklf4bbs7haqmg8fv-cairo-1.16.0/share:/gnu/store/hdwn6fbbii6907ibvyax92cxzam0hrhx-xorgproto-2018.4/share:/gnu/store/v1vnqq6nzf1n842956l30yjxzjy0130h-libxxf86vm-1.1.4/share:/gnu/store/hcxcbbsf0p1fzjajd2idc3j5qvlyyp5w-libxshmfence-1.3/share:/gnu/store/dis1laih296cvfjrcj3azcjfxkip4hdb-libxfixes-5.0.3/share:/gnu/store/8baabfjazsr7s4y0jig1sn84xnxf75xa-libx11-1.6.6/share:/gnu/store/inw59iqwpal8pz3vxlfqdn1pjahd3rdx-libvdpau-1.2/share:/gnu/store/smpgxk3vmydbmnhnd5ljnj1ll96463r8-libdrm-2.4.97/share:/gnu/store/2dk55i5wdhcbh2z8hhn3r55x4873iyp1-libxext-1.3.3/share:/gnu/store/xrvwszmahcb7k2zcyag3vmqwswzrbvcg-libxrender-0.9.10/share:/gnu/store/daxn8m96wk2d2jnz4mxllhk34iv5gjqp-shared-mime-info-1.9/share:/gnu/store/55m57xamf980iymccl9k26k4an0ynf7d-libpng-1.6.34/share:/gnu/store/ri7mjihsihcl7wkarhklg0l4kfr26m43-at-spi2-core-2.32.0/share:/gnu/store/nq4lsyipmfb0q7g26ra45rwwqrh3x8zw-zlib-1.2.11/share:/gnu/store/pba3xzrkq2k4wgh3arif4xpkblr5qz2n-sqlite-3.24.0/share:/gnu/store/vbybdsgmyr5qcnfawax8y4w129b17a91-libpsl-0.20.2/share:/gnu/store/rl6aqycjg41b6bygf0gv35gqjc3ygn27-icu4c-63.1/share:/gnu/store/vl5zdhkx5ic3lklinzxzl7n4rrr8ff49-graphite2-1.3.12/share:/gnu/store/8k4pnixpz73kxvxbjqajgbprjjmmgpxy-util-linux-2.32.1/share:/gnu/store/79a7p4fjh564czghfzfm1yn8b3r42rbi-expat-2.2.6/share:/gnu/store/nswbpcyjbmhbkd676zf7ijqvsyswhxil-pixman-0.36.0/share:/gnu/store/30ss9cl431rrw47pbmwnqs99m2w3i5vh-util-macros-1.19.2/share:/gnu/store/hnj08aavzpsi72wvi4qqrp5dqbyqxqqs-libxcb-1.13/share:/gnu/store/nn0mlxc7kw01l5dmrjypam25qbr2rw8q-libxtst-1.2.3/share:/gnu/store/s62xzisv3mnl510m5wbf91jzzd392l6f-dbus-1.12.12/share:/gnu/store/3vlscch2sxybd34qx2ianpg92crm9akm-libxdmcp-1.1.2/share:/gnu/store/mawqhgh0bdxpa4gjxs1fjyhwvv6i8w5g-libxau-1.0.8/share:/gnu/store/sfn7fcmii7gbpjh2f7wzv8l04iy4z2d1-libpthread-stubs-0.4/share"
export out="/gnu/store/hzchfbnsgs8fliy5zzkb3j0bs5q4x6bx-rednotebook-2.11.1"

Thanks for trying to help.
-Jesse